summaryrefslogtreecommitdiff
path: root/dev-python/wcmatch
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/wcmatch')
-rw-r--r--dev-python/wcmatch/Manifest1
-rw-r--r--dev-python/wcmatch/wcmatch-10.2.1.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/wcmatch/Manifest b/dev-python/wcmatch/Manifest
index 5970fb770d0d..5ee3647b16ed 100644
--- a/dev-python/wcmatch/Manifest
+++ b/dev-python/wcmatch/Manifest
@@ -1,2 +1,3 @@
DIST wcmatch-10.1.gh.tar.gz 120743 BLAKE2B 4cb96a5305f55527e98ec695b1dc66ac89b2609768e7abe1719d4127f14f60ca79f7c9fd8db5bf18e04c411b7db7733525303336d14cc2056851aa9538e46573 SHA512 5f0588752142d4a0bf0230bb19342db653fbd740413a841ac4edb5b5bf3b63733a901949396017ead9788d100a57ca292a69b61463707a47977020b4cdcd768b
+DIST wcmatch-10.2.1.gh.tar.gz 137948 BLAKE2B 73675cae60fb0b77dc3b8dd06f9d64afe7936f69f232e6202820407af5c9a367b6216e121f3efae6dcb4416f19222124318364b66207b3de9c8f010ca1cc28ab SHA512 4930f0d5b503dabccb57b8592ddb091eefbe89d4825507fa9a54b94ab0e441ec8ddbbb1481e52f3628aa5f075db3ab85420ac615e8d0dba9124435c10a75bb3a
DIST wcmatch-10.2.gh.tar.gz 137972 BLAKE2B 43a0538f258b9b8f0024a1f405a8dd4c73c093ba949622ddfa062ec48147dfd59e8c834adb614a18671edbdd9ff59f7448c6432df03b05a5584d95f2b7e69abc SHA512 79914f7af8f814c1f173377d671b6aa1ee71b62e036f12e04a48500696317ea8e7b88dcd64fc06b5daa88c8663e765bf470a4493b0117e25e67d12ebabe776ee
diff --git a/dev-python/wcmatch/wcmatch-10.2.1.ebuild b/dev-python/wcmatch/wcmatch-10.2.1.ebuild
new file mode 100644
index 000000000000..e358d900ec15
--- /dev/null
+++ b/dev-python/wcmatch/wcmatch-10.2.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{13..14} )
+DISTUTILS_USE_PEP517=hatchling
+
+inherit distutils-r1
+
+DESCRIPTION="Wildcard/glob file name matcher"
+HOMEPAGE="
+ https://github.com/facelessuser/wcmatch/
+ https://pypi.org/project/wcmatch/
+"
+SRC_URI="
+ https://github.com/facelessuser/wcmatch/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/bracex-3.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # tests require some files in homedir
+ > "${HOME}"/test1.txt || die
+ > "${HOME}"/test2.txt || die
+
+ distutils-r1_python_prepare_all
+}